/* file utilities.c, 程序 stu 使用的功能函数源程序文件 */
#include <stdio.h>
#include <ctype.h>
#include "stu.h"

void getnstr (char prompt[], int lim, char bf[]) {
    int c, i = 0;

    printf("%s", prompt);
    while (i < lim-1 && (c = getchar()) != EOF && !isspace(c))
        bf[i++] = c;
    if (c != '\n')
        while (getchar() != '\n') ; /* 吃掉本行剩余字符 */

    bf[i] = '\0';
}

int next(char s[]) {
    int c;

    printf("Next %s? (y/n): ", s);
    while (isspace(c = getchar())) /* 读下一个非空白字符 */
        ;
    while (getchar() != '\n') ; /* 吃掉本行剩余字符 */

    return (c == 'y' || c == 'Y');
}

int getcmd (char *prompt, int c1, int cn) {
    return 0; /* 需要定义 */ 
} 

